%define upstream_name    Data-Dumper-Compact
%define upstream_version 0.006000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Vertically compact width-limited data formatter
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mu::Tiny) >= 0.0.2
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the Devel::DDCWarn manpage is a the Devel::Dwarn manpage equivalent for the
Data::Dumper::Compact manpage.

The idea, basically, is that it's incredibly annoying to start off with
code like this:

  return some_sub_call();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README ex
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.6.0-2.mga10
+ Revision: 2215260
- Mageia 10 Mass Rebuild

* Wed Sep 28 2022 tv <tv> 0.6.0-1.mga9
+ Revision: 1893001
- update to 0.006000

* Mon Mar 21 2022 umeabot <umeabot> 0.5.2-2.mga9
+ Revision: 1813139
- Mageia 9 Mass Rebuild

* Fri Aug 28 2020 tv <tv> 0.5.2-1.mga8
+ Revision: 1619428
- imported package perl-Data-Dumper-Compact


* Fri Aug 28 2020 Thierry Vignaud <tv@mageia.org> 0.5.2-1.mga8
- initial mageia release, generated with cpan2dist
